%define upstream_name	 DateTime
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      2

Summary:    A date and time object in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://datetime.perl.org/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DateTime::Locale) >= 0.410.0
BuildRequires: perl(DateTime::TimeZone) >= 1.90.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(POSIX)
BuildRequires: perl(Params::Validate) >= 0.760.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(XSLoader)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(integer)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
Provides:   perl(DateTimePP)
Provides:   perl(DateTimePPExtra)

%description
DateTime is a class for the representation of date/time combinations, and is
part of the Perl DateTime project.

It represents the Gregorian calendar, extended backwards in time before its
creation (in 1582). This is sometimes known as the "proleptic Gregorian
calendar". In this calendar, the first day of the calendar (the epoch), is the
first day of year 1, which corresponds to the date which was (incorrectly)
believed to be the birth of Jesus Christ.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README TODO
%{perl_vendorarch}/DateTime*
%{perl_vendorarch}/auto/*
%{_mandir}/*/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2:1.30.0-2.mga4
+ Revision: 526321
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 2:1.30.0-1.mga4
+ Revision: 436621
- update to 1.03

* Wed May 29 2013 tv <tv> 2:0.780.0-3.mga4
+ Revision: 430107
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2:0.780.0-2.mga3
+ Revision: 365547
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2:0.780.0-1.mga3
+ Revision: 342037
- update to 0.78

* Thu Sep 27 2012 jquelin <jquelin> 2:0.770.0-1.mga3
+ Revision: 298748
- update to 0.77

* Wed Jul 04 2012 jquelin <jquelin> 2:0.760.0-1.mga3
+ Revision: 267305
- update to 0.76

* Mon Jun 18 2012 kharec <kharec> 2:0.750.0-1.mga3
+ Revision: 261536
- update to 0.75

* Tue Jun 05 2012 jquelin <jquelin> 2:0.740.0-1.mga3
+ Revision: 254803
- update to 0.74

* Wed May 30 2012 jquelin <jquelin> 2:0.720.0-2.mga3
+ Revision: 250488
- rebuild for perl 5.16

* Mon Jan 09 2012 jquelin <jquelin> 2:0.720.0-1.mga2
+ Revision: 193797
- update to 0.72

* Fri Jun 17 2011 jquelin <jquelin> 2:0.700.0-1.mga2
+ Revision: 108813
- update to 0.70

* Sat Jun 11 2011 sander85 <sander85> 2:0.660.0-2.mga2
+ Revision: 104141
- perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 2:0.660.0-1.mga1
+ Revision: 34819
- mageia build
- imported package perl-DateTime

